Bug 443666 - Broker is vulnerable to producer not syncing when using async store
Broker is vulnerable to producer not syncing when using async store
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 14:51 EDT by Rajith Attapattu
Modified: 2009-08-21 11:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 11:41:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2008-04-22 14:51:51 EDT
When the broker is running with async store and if the producer doesn't sync
then the broker can go out of memory.

Gordon mentioned that this was fixed in the new code path. We can close this bz
after Gordon is happy with testing etc.
Comment 1 Mike Bonnet 2008-05-16 11:09:13 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.